"""
About:
------
The sina_remove_punctuation tool performs delete punctuation marks from the input text.

Usage:
------
Below is the usage information that can be generated by running sina_remove_punctuation --help.

.. code-block:: none

    Usage:
        sina_remove_punctuation --text=TEXT
        sina_remove_punctuation --file "path/to/your/file.txt"

Examples:
---------

.. code-block:: none

    sina_remove_punctuation --text "te%s@t...!!?"
    
    sina_remove_punctuation --file "path/to/your/file.txt"

Note:
-----

.. code-block:: none

    - This tool is specific to Arabic text, as it focuses on Arabic linguistic elements.
    - Ensure that the text input is appropriately encoded in UTF-8 or compatible formats.
"""

import argparse
from nlptools.utils.parser import remove_punctuation
#from nlptools.utils.parser import read_file
#from nlptools.utils.parser import write_file


def main():
    parser = argparse.ArgumentParser(description='remove punctuation marks from the text')

    parser.add_argument('--text',required=True,help="input text")
   # parser.add_argument('myFile', type=argparse.FileType('r'),help='Input file csv')
    args = parser.parse_args()
    result = remove_punctuation(args.text)
 
    print(result)
    if __name__ == '__main__':
        main()

#sina_remove_punctuation --text "your text"

